Loja
Anonimizar pagamentos
Substitui de forma irreversível os dados pessoais gravados nos pagamentos.
POST
/manager/store/payments/anonymizeAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/store/payments/anonymize" \ -H "Content-Type: application/json" \ -d '{ "payments_identifers": [ "68ab8366-29db-438e-9a39-8ca72691c0b7", "019c964f-5ecf-7889-97c2-1121e6f65f5c" ] }'{
"rowsAffected": 2,
"hasChanges": true,
"message": "Payments anonymized successfully"
}{
"status": 400,
"data": {
"message": [
{
"code": "too_small",
"minimum": 1,
"message": "Array must contain at least 1 element(s)",
"path": [
"payments_identifers"
]
},
{
"code": "too_big",
"maximum": 100,
"message": "Array must contain at most 100 element(s)",
"path": [
"payments_identifers"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/payments/anonymize"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/payments/anonymize"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/payments/anonymize"
}
}